summaryrefslogtreecommitdiff
path: root/scripts/scan-tools.sh
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/scan-tools.sh')
-rw-r--r--scripts/scan-tools.sh9
1 files changed, 8 insertions, 1 deletions
diff --git a/scripts/scan-tools.sh b/scripts/scan-tools.sh
index af3223b0b..c16aff609 100644
--- a/scripts/scan-tools.sh
+++ b/scripts/scan-tools.sh
@@ -37,8 +37,9 @@ if [[ -e foo ]]; then
Darwin*)
echo "Building OpenADK on $os needs a case-sensitive disk partition."
echo "For Snow Leopard and above you can use diskutil to resize your existing disk."
- echo "For older versions you might consider to use a disk image."
echo "Example: sudo diskutil resizeVolume disk0s2 90G 1 jhfsx adk 30G"
+ echo "For older versions you might consider to use a disk image:"
+ echo "hdiutil create -type SPARSE -fs 'Case-sensitive Journaled HFS+' -size 30g ~/openadk.dmg"
;;
esac
exit 1
@@ -201,6 +202,12 @@ if ! which xargs >/dev/null 2>&1; then
out=1
fi
+if ! which g++ >/dev/null 2>&1; then
+ echo "You need g++ (GNU C++ compiler) to continue."
+ echo
+ out=1
+fi
+
cd $topdir
rm -rf tmp